:root {
    --intro-email-background: hsl(217, 28%, 15%);
    --main-background: hsl(218, 28%, 13%);
    --footer-background: hsl(216, 53%, 9%);
    --testimonials-background: hsl(219, 30%, 18%);
    --cyan: hsl(176, 68%, 64%);
    --blue: hsl(198, 60%, 50%);
    --cyan-dark: hsl(184, 99%, 33%);
    --blue-dark: hsl(194, 90%, 35%);
    --lightRed: hsl(0, 100%, 63%);
    --white: hsl(0, 0%, 100%)
}

* {
    margin: 0;
}

body {
    
    background-color: var(--main-background);
}

main {
    padding: 1.75rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: clip;
}

footer {
    padding: 14rem 1.5rem 2.5rem 1.5rem;
    background-color: var(--footer-background);
    color: var(--white);
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    margin-top: 10rem;
}

nav {
    padding: 1.5rem 1.25rem;
    transition: all 200ms ease-in-out;
}


nav ol {
    list-style-type: none;
    padding-left: 0;
}

a {
    font-size: 1rem;
    font-family: 'Open Sans', sans-serif;
}

li a {
    text-decoration: none;
    color: var(--white);
    font-size: 0.75rem;
    padding: 0.25rem 0.5rem;
    transition: all 200ms ease-in-out;
    border-radius: 3rem;
}

li a:hover {
    background-color: rgba(255, 255, 255, 0.1);
    color: var(--cyan);
}

.nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-logo {
    width: 74px;
}

.nav-group {
    display: flex;
    gap: 1rem;
}

.nav-item {
    color: var(--white);
}

h1, h2, h3, h4, p {
    font-family: 'Raleway', sans-serif;
    color: var(--white);
    line-height: 1.5;
}

h1 {
    font-size: 1.5rem;
    padding-bottom: 1rem;
}

h2 {
    font-size: 1.125rem;
    padding-bottom: 1rem;
}

p {
    font-family: 'Open Sans', sans-serif;
    font-size: 0.875rem;
    line-height: 1.5;
}

header {
    text-align: center;
    max-width: 48rem;
}

header p {
    padding-bottom: 2rem;
}

header img {
    padding-top: 4.5rem;
}

.header-bg-colour {
    background-color: var(--testimonials-background);
    position: absolute;
    width: 100vw;
    top: 0;
    left: 0;
    right: 0;
    height: 100vw;
    z-index: -2;
}

.hero-img {
    width: 100%;
    max-width: 32rem;
}

.bg-wave {
    width: 100vw;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: -1;
    max-height: 12rem;
}

.btn {
    width: 100%;
    height: 3rem;
    background-image: linear-gradient(to right, hsl(176, 68%, 64%) 0%, hsl(194, 90%, 35%) 51%, hsl(194, 95%, 38%) 100%);
    color: var(--white);
    border: none;
    border-radius: 10rem;
    font-size: 0.875rem;
    font-weight: 700;
    cursor: pointer;
    padding: 0 1rem;
    text-wrap: nowrap;
    transition: 500ms ease-in-out;
    background-size: 200% auto;
}

.btn:hover {
    background-position: right center;
}

.btn-wrapper {
    padding-left: 2.5rem;
    padding-right: 2.5rem;
}

.value-props-wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(100%, 1fr));
    gap: 1rem;
    place-items: center;
    margin-top: 8rem;
    margin-bottom: 8rem;
    max-width: 54rem;
}

.value-prop {
    text-align: center;
    margin-top: 2.5rem;
    margin-bottom: 2.5rem;
    max-width: 24rem;
}

.value-prop img {
    padding-bottom: 1.75rem;
    max-height: 4rem;
    aspect-ratio: 1 / 1;
}

.value-prop p {
    text-wrap: balance;
}

.stay-productive-section {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(2, 1fr);
    /* gap: 3rem; */
    margin-top: 1.75rem;
    max-width: 80rem;
}

.stay-productive-section img {
    max-width: 38rem;
}

.stay-productive-section p {
    padding-bottom: 1rem;
}

.stay-productive-copy {
    text-wrap: balance;
}

.fancy-link {
    color: var(--cyan);
    font-size: 0.75rem;
    text-decoration: none;
    border-bottom: 1px solid currentColor;
    padding-bottom: 0.25rem;
    position: relative;
    transition: all 200ms ease-in-out;
}

.fancy-link:hover {
    color: var(--cyan-dark);
    padding-bottom: 0.5rem;
}

.fancy-link span {
    top: 0;
    position: absolute;
}

.fancy-link span img {
    padding-left: 0.25rem;
}

.quotes-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    position: relative;
    justify-content: center;
    margin-top: 11rem;
    margin-bottom: 11rem;
}

.quote-card {
    border-radius: 0.25rem;
    padding: 1.25rem;
    background-color: var(--testimonials-background);
}

.quote-copy {
    font-size: 0.625;
    line-height: 180%;
}

.quote-card .avatar-img {
    height: 1.5rem;
    width: 1.5rem;
    border-radius: 1.5rem;
}

.quotes-img {
    position: absolute;
    z-index: -1;
    top: -1.5rem;
    height: 1.5rem;
    left: 0.5rem;
}

.avatar-name {
    font-size: 0.6875rem;
    font-weight: 600;
    letter-spacing: 0.0625em;
}

.avatar-title {
    font-size: 0.5rem;
}

.avatar-wrapper {
    display: flex;
    gap: 0.5rem;
    padding-top: 1rem;
    display: flex;
    align-items: center;
}

.early-access-prompt {
    padding-top: 2.25rem;
    padding-bottom: 2.25rem;
    padding-left: 1.75rem;
    padding-right: 1.75rem;
    background-color: var(--intro-email-background);
    border-radius: 0.625rem;
    max-width: 44rem;
    text-align: center;
    position: absolute;
    top: -20%;
    margin: 0 1.25rem;
}

.early-access-prompt p {
    padding-bottom: 2rem;
}

#email-input {
    height: 3rem;
    border-radius: 3rem;
    border: none;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
}

.email-input-group {
    display: flex;
    flex-direction: column;
    gap: 1.375rem;
    width: 100%;
}

.footer-wrapper {
    max-width: 80rem;
    width: 100%;

}

.footer-logo {
    padding-bottom: 2.5rem;
}

.footer-contents {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    justify-content: space-between;
    flex-wrap: wrap;
}

.footer-description {
    display: flex;
    max-width: 24rem;
    min-width: 16rem;
}

.phone-number, .email, .footer-description {
    display: flex;
    gap: 1.125rem;
}

.email {
    padding-top: 1.5rem;
}

.footer-icon {
    width: 1.25rem;
    height: 1.25rem;
    object-fit: contain;
}

.footer-links {
    display: flex;
    flex-direction: column;
    gap: 1.125rem;
    padding-right: 0.5rem;
}

.footer-links a {
    text-decoration: none;
    color: var(--white);
    transition: all 200ms ease-in-out;
}

.footer-links a:hover {
    color: var(--cyan);
}

.footer-link-group {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding: 5rem 0;
}

.social-icons {
    display: flex;
    gap: 0.75rem;
    justify-content: center;
}

.social-icon {
    transition: all 200ms ease-in-out;
    height: 2rem;
    border-radius: 2rem;
}

.social-icon:focus-visible {
    background-color: rgba(255, 255, 255, 0.1);
    box-shadow: 0 0 20px rgba(81, 203, 238, 1);
    outline: 1px solid var(--cyan);
}

.social-icon:focus-visible .svg-path {
    fill: var(--cyan);
}

.social-icon:focus-visible .svg-stroke {
    stroke: var(--cyan);
}



.social-icon:hover .svg-path {
    fill: var(--cyan);
}

.social-icon:hover .svg-stroke {
    stroke: var(--cyan);
}

nav a:focus-visible {
    background-color: rgba(255, 255, 255, 0.1);
    box-shadow: 0 0 20px rgba(81, 203, 238, 1);
    outline: 1px solid var(--cyan);
}

footer a:focus-visible {
    color: var(--cyan);
    text-decoration: underline;
    outline: none;
}

.attribution a:focus-visible {
    color: var(--cyan);
    text-decoration: underline;
}


.btn:focus-visible {
    box-shadow: 0 0 20px rgba(81, 203, 238, 1);
    border: 1px solid rgba(81, 203, 238, 1);
    outline: 1px solid white;
  }

input:focus-visible {
    box-shadow: 0 0 20px rgba(81, 203, 238, 1);
    border: 1px solid rgba(81, 203, 238, 1);
    outline: 1px solid var(--cyan);
}

.fancy-link:focus-visible {
    color: var(--cyan-dark);
    padding-bottom: 0.5rem;
    box-shadow: 0 0 20px rgba(81, 203, 238, 1);
    border: 1px solid rgba(81, 203, 238, 1);
    outline: 1px solid white;
}

.attribution {
    padding-top: 4rem;
    font-size: 11px; 
    text-align: center;    
}

.attribution a { 
    color: var(--cyan); 
    font-size: 11px;
}

.sr-only {
    position:absolute;
    left:-10000px;
    top:auto;
    width:1px;
    height:1px;
    overflow:hidden;
}

@media (min-width: 38rem) {
    .header-bg-colour {
        height: 40rem;
    }
    
    nav {
        padding: 4.5rem 4rem 0rem 4rem;
    }

    .nav-logo {
        width: 176px;
    }
    li a {
        font-size: 1rem;
        padding: 0.5rem 1.25rem;
    }
    
    h1 {
        font-size: 2.5rem;
        line-height: 1.25;
    }

    h2 {
        font-size: 2.5rem;
        line-height: 1.25;
    }

    header p {
        font-size: 1.25rem;
    }

    .btn {
        height: 3.5rem;
        font-size: 1rem;
        max-width: 17.5rem;
    }

    .value-props-wrapper {
      grid-template-columns: repeat(2, 1fr);
    }

    .value-prop img {
        max-height: 5.5rem;
    }

    .quote-card {
        max-width: 22.5rem;
    }

    .stay-productive-section {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: 1fr;
        grid-column-gap: 2rem;
        align-items: center;
    }

    .stay-productive-section p {
        font-size: 1rem;
    }

    .fancy-link {
        font-size: 1rem;
    }

    .fancy-link span img {
        padding-top: 0.25rem;
    }

    .early-access-prompt {
        padding: 3rem 5rem 2.5rem 5rem;
        box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.02),
        0px 5px 4px rgba(0, 0, 0, 0.03),
        0px 12px 9px rgba(0, 0, 0, 0.05),
        0px 20px 15px rgba(0, 0, 0, 0.06),
        0px 32px 24px rgba(0, 0, 0, 0.08);
    }

    .early-access-prompt h2 {
        font-size: 2rem;
    }

    #email-input {
        height: 3.5rem;
        width: 100%;
    }

    .email-input-group {
        flex-direction: row;
        gap: 1.75rem;
    }

    .footer-contents {
        flex-direction: row;
        align-items: start;
    }

    .footer-contents p {
        font-size: 1rem;
    }

    .footer-logo {
        padding-bottom: 2rem;
    }

    .footer-link-group {
        flex-direction: row;
        gap: 3rem;
        padding: 0;
    }

    .phone-number, .email, .footer-description {
        gap: 1.5rem;
    }

  }